Skip to main content
PUT
/
networks
/
webhooks
/
{webhookId}
Update Webhook
curl --request PUT \
  --url https://api.eflow.team/v1/networks/webhooks/{webhookId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "webhook_types": [
    "affiliate_updated"
  ],
  "http_method": "post",
  "webhook_url": "https://example.com/webhook",
  "description": "Updated webhook",
  "status": "active"
}
'
{
  "network_webhook_id": 1,
  "network_id": 1,
  "webhook_types": [
    "affiliate_updated"
  ],
  "http_method": "post",
  "webhook_url": "https://example.com/webhook",
  "description": "My webhook",
  "status": "active",
  "time_created": 1774726693,
  "time_saved": 1774726693
}

Documentation Index

Fetch the complete documentation index at: https://developers.everflow.io/llms.txt

Use this file to discover all available pages before exploring further.

Update an existing webhook configuration by its ID. All fields in the request body will overwrite the current values.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

webhookId
integer
required

The webhook ID.

Body

application/json
webhook_types
enum<string>[]
required

Event types that should trigger this webhook. You can specify more than one.

Available options:
advertiser_created,
advertiser_signed_up,
advertiser_updated,
affiliate_approved_for_offer,
affiliate_created,
affiliate_signed_up,
affiliate_signup_verdict,
affiliate_updated,
offer_created,
offer_updated,
traffic_optimized
http_method
enum<string>
required

HTTP method to use when sending the webhook.

Available options:
get,
post
webhook_url
string
required

The webhook endpoint URL.

description
string
required

Name or description for the webhook.

status
enum<string>
required

Webhook status.

Available options:
active,
inactive

Response

200 - application/json

A webhook configuration.

network_webhook_id
integer

Unique webhook ID.

Example:

1

network_id
integer

Network ID.

Example:

1

webhook_types
enum<string>[]

Event types that trigger this webhook.

Available options:
advertiser_created,
advertiser_signed_up,
advertiser_updated,
affiliate_approved_for_offer,
affiliate_created,
affiliate_signed_up,
affiliate_signup_verdict,
affiliate_updated,
offer_created,
offer_updated,
traffic_optimized
Example:
["affiliate_updated"]
http_method
enum<string>

HTTP method used when sending the webhook.

Available options:
get,
post
Example:

"post"

webhook_url
string

The webhook endpoint URL.

Example:

"https://example.com/webhook"

description
string

Optional description for the webhook.

Example:

"My webhook"

status
enum<string>

Webhook status.

Available options:
active,
inactive
Example:

"active"

time_created
integer

Unix timestamp of creation.

Example:

1774726693

time_saved
integer

Unix timestamp of last update.

Example:

1774726693